Package org.zkoss.bind.sys.debugger.impl.info

## Class CommandInfo

- java.lang.Object
- - org.zkoss.bind.sys.debugger.impl.info.ExecutionInfoBase
  - - org.zkoss.bind.sys.debugger.impl.info.CommandInfo

- All Implemented Interfaces:
    `ExecutionInfo`

      public class CommandInfo
      extends ExecutionInfoBase

  Author:
    dennis

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `EXECUTE` |
    `static java.lang.String` | `EXECUTE_GLOBAL` |
    `static java.lang.String` | `ON_COMMAND` |
    `static java.lang.String` | `ON_GLOBAL_COMMAND` |
    `static java.lang.String` | `POST` |
    `static java.lang.String` | `POST_GLOBAL` |
    `static java.lang.String` | `TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommandInfo​(java.lang.String subtype, Component comp, java.lang.String event, java.lang.String commandExpr, java.lang.String command, java.util.Map<java.lang.String,​java.lang.Object> args, java.lang.String note)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JSONObject` | `toJSON()` |

    - ### Methods inherited from class org.zkoss.bind.sys.debugger.impl.info.ExecutionInfoBase

      `getComponent, getNote, getSubtype, getType, put, putEssential, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

    - #### ON_COMMAND

          public static final java.lang.String ON_COMMAND

      See Also:
        Constant Field Values

    - #### ON_GLOBAL_COMMAND

          public static final java.lang.String ON_GLOBAL_COMMAND

      See Also:
        Constant Field Values

    - #### EXECUTE

          public static final java.lang.String EXECUTE

      See Also:
        Constant Field Values

    - #### EXECUTE_GLOBAL

          public static final java.lang.String EXECUTE_GLOBAL

      See Also:
        Constant Field Values

    - #### POST

          public static final java.lang.String POST

      See Also:
        Constant Field Values

    - #### POST_GLOBAL

          public static final java.lang.String POST_GLOBAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CommandInfo

          public CommandInfo​(java.lang.String subtype,
                             Component comp,
                             java.lang.String event,
                             java.lang.String commandExpr,
                             java.lang.String command,
                             java.util.Map<java.lang.String,​java.lang.Object> args,
                             java.lang.String note)

  - ### Method Detail

    - #### toJSON

          public JSONObject toJSON()

      Overrides:
        `toJSON` in class `ExecutionInfoBase`